-- PlayerLineCollide hook by Snu
local hookname = "PlayerLineCollide"
if not (hookLib[hookname])
	hookLib.dprint("loaded hook \""..hookname.."\"")
	
	addHook("ThinkFrame", function(p)
		for p in players.iterate
			if (p.lastlinehit != -1)
				-- run functions for this hook
				local line, side = lines[p.lastlinehit], sides[p.lastsidehit]
				hookLib.RunHook(hookname, p, line, side)
					
				-- reset these so we can check for walls again
				p.lastlinehit, p.lastsidehit = -1, -1
			end
		end
	end)
	
	-- with this set, other scripts should be able to check if this custom hook has already been created
	-- this is to prevent conflicts with other scripts that might use this custom hook
	hookLib[hookname] = true
end

-- example of a hooked function with the library
if (hookLib.debug)
	hookLib.AddHook(hookname, function(p, line, side)
		print(p.name.." hit line #"..#line..", side #"..#side)
	end)
end